com.jscape.inet.sftp

## Class SftpAuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.jscape.inet.sftp.SftpException
        - - com.jscape.inet.sftp.SftpAuthenticationException

- All Implemented Interfaces:
    java.io.Serializable

      public class SftpAuthenticationException
      extends SftpException

  Exception thrown when trying to create or access a resource with insufficient permissions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpAuthenticationException(java.lang.String hostname, java.lang.String username)` Creates new SftpAuthenticationException instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getHostname()` Gets hostname of sftp server
    `java.lang.String` | `getUsername()` Gets username of sftp user

    - ### Methods inherited from class com.jscape.inet.sftp.SftpException

      `wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpAuthenticationException

          public SftpAuthenticationException(java.lang.String hostname,
                                             java.lang.String username)

      Creates new SftpAuthenticationException instance
      Parameters:
        `hostname` - the hostname of sftp server
        `username` - the username of sftp user

  - ### Method Detail

    - #### getHostname

          public java.lang.String getHostname()

      Gets hostname of sftp server
      Returns:
        the hostname

    - #### getUsername

          public java.lang.String getUsername()

      Gets username of sftp user
      Returns:
        the username

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved